Skip to main content
`Ctrl`+`K`

# PetscObjectSetUp

Sets up the internal data structures for later use of the object

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetUp(PetscObject obj)

Collective

## Input Parameter

- obj - the `PetscObject`

## Note

This does nothing at present.

## See Also

`PetscObjectDestroy()`, `PetscObject`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages